<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreTicket extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'name'          => 'required',
            'phone_number'  => 'required|min:11',
            'email'         => '',
            'title'         => 'required',
            'content'       => 'required',
        ];
    }

    public function messages()
    {
        return [
            'name.required'         => 'نام ضروری است',
            'phone_number.required' => 'شماره همراه ضروری است',
            'phone_number.min'      => 'شماره همراه را به درستی وارد کنید',
            'title.required'        => 'عنوان ضروری است',
            'content.required'      => 'توضیحات ضروری است',
        ];
    }
}
