<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class CategoryResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return[
            'id' => $this->resource->id,
            'name' => $this->resource->name,
            'description' => $this->resource->description,
            'image_url' => Storage::url($this->resource->image_path),
            // 'items'=> $this->whenLoaded('items', ItemResource::collection($this->resource->items)),
            'items' => CompactItemResource::collection($this->whenLoaded('items')),
            // 'items' => ItemResource::collection($this->whenLoaded('items')),
        ];
    }
}
