<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;
use Illuminate\Validation\Rules\Exists;

class ItemResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        
        // dd($this->resource);
        
        $data = [
            'id' => $this->resource->id,
            'title' => $this->resource->title,
            'description' => $this->resource->description,
            'image_url' => Storage::url($this->resource->image_path),
            'video_url' => Storage::url($this->resource->video_path),
            'preview_url' => Storage::url($this->resource->preview_path),
            'teaser_url' => Storage::url($this->resource->teaser_path),
            'cover_url' => Storage::url($this->resource->cover_path),
            'item_type' => $this->resource->item_type,
            'length' => $this->resource->length,
            'production_year' => $this->resource->production_year,
            'imdb_rating' => $this->resource->imdb_rating,
            'publish_status' => $this->resource->publish_status,
            'subtitle' => $this->resource->subtitle,
            'rating' => $this->resource->rating,
            'action' => $this->resource->action,
            'favorite' => $this->resource->favorite,
            // 'sections' => $this->resource->sections,
            'pictures' => PictureResource::collection($this->resource->pictures),
            'voices_and_subtitles' => VoicesAndSubtitlesResource::collection($this->resource->voicesAndSubtitles),
            // 'pictures' => $this->resource->pictures,
            'film_casts' => FilmCastResource::collection($this->resource->filmCasts),
        ];
        if(is_null($this->resource->slider)){
            // dd($this->resource);
            $data['slider'] = SliderResource::collection([$this]);
        } else {
            $data['slider'] = SliderResource::collection($this->resource->slider);
        }

        return $data;
    }
}
