<?php

namespace App\Providers;

use App\Repository\Eloquent\UserRepository;
use Illuminate\Support\ServiceProvider;

class RepositoryServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        
        $this->app->bind(UserRepository::class);
        $this->app->bind(ItemRepository::class);
        $this->app->bind(SettingRepository::class);
        $this->app->bind(CategoryRepository::class);
        $this->app->bind(LikeRepository::class);
        $this->app->bind(SearchRepository::class);
        $this->app->bind(TicketRepository::class);
        $this->app->bind(CommentRepository::class);
        $this->app->bind(QuestionPackageRepository::class);
        $this->app->bind(FilmCastRepository::class);
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
