<?php

namespace App\Repository\Eloquent;

use App\Http\Resources\CategoryResource;
use App\Http\Resources\CompactQuestionPackageResource;
use App\Http\Resources\SliderResource;
use App\Models\Category;
use App\Models\QuestionPackage;
use App\Models\Slider;
use Illuminate\Http\Request;

class HomeRepository extends BaseRepository{

    // protected $model;

    // public function __construct(Category $model)
    // {
    //     $this->model = $model;
    // }


    //---------------------------------------------------------------------------------------------------
    
    public function home(Request $request)
    {
        $data = [];
        if($request->show === 'home'){
            
            $slider = Slider::where('name', $request->show)->first();
            if(!empty($slider))
                $data['slider'] = SliderResource::collection($slider->items);
                // return $slider;

            $data['categories'] = CategoryResource::collection(Category::with('items')
                ->withCount('items')
                ->having('items_count', '>', 0)
                ->get());

        } else {
            
            $slider = Slider::where('name', $request->show)->first();
            if(!empty($slider))
                $data['slider'] = SliderResource::collection($slider->items);
            $data['categories'] = CategoryResource::collection(Category::
                with(['items' => function($q)use($request){
                $q->where('item_type', $request->show);
            }])
                ->withCount(['items' => function($q)use($request){
                $q->where('item_type', $request->show);
            }])->having('items_count', '>', 0)
            ->get());
        }

        $quizzes = QuestionPackage::take(10)
            ->where('question_package_type', 'quiz')
            ->get();

        if($quizzes->count() != 0)
            $data['questions']['quizzes']  = CompactQuestionPackageResource::collection($quizzes);

        $images = QuestionPackage::take(10)
            ->where('question_package_type', 'image')
            ->get();

        if($images->count() != 0)
            $data['questions']['images']  = CompactQuestionPackageResource::collection($images);

        $images_and_videos = QuestionPackage::take(10)
            ->where('question_package_type', 'image_and_video')
            ->get();

        if($images_and_videos->count() != 0)
            $data['questions']['images_and_videos']  = CompactQuestionPackageResource::collection($images_and_videos);
            
        

        return $this->sendResponse($data);
    }
    

}

?>