<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('answers', function (Blueprint $table) {
            $table->id();
            $table->timestamps();

            $table->unsignedBigInteger('user_id')->default(1);
            $table->foreign('user_id')->references('id')->on('users');
            $table->unsignedBigInteger('question_id')->default(1);
            $table->foreign('question_id')->references('id')->on('questions');
            $table->string('video_path')->default('videos/YaPcpJMumKg2vytTpCHc0vkJIOV33fGhnSzPwS9M.mp4');
            $table->string('image_path')->default('images/MVknX98otKoVIsis0WOmNWy8X49Yrh5gDITntlKR.jpg');
            $table->string('file_path')->default('');
            $table->boolean('confirm')->default(false);
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('answers');
    }
};
