<?php

namespace Database\Seeders;

use App\Models\Comment;
use App\Models\Item;
use App\Models\User;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class CommentSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $itemCount = $this->command->ask('how many items whould you like', 30);

        $users = User::all();
        $items = Item::all();
        

        Comment::factory($itemCount)->make()->each(function($comment) use ($items, $users){
            $comments = Comment::all();
            $comment->user_id = $users->random()->id;
            $comment->item_id = $items->random()->id;
            if($comments->count() == 0)
                $comment->comment_id = null;
            else
                if(rand(1,5) > 3)
                    $comment->comment_id = null;
                else
                    $comment->comment_id = $comments->random()->id;
            $comment->save();
        });
    }
}
