<?php

namespace Database\Seeders;

use App\Models\Item;
use App\Models\User;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class ItemSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $itemCount = $this->command->ask('how many items whould you like', 10);

        // Item::factory($itemCount)->create();
        $users = User::all();

        Item::factory($itemCount)->make()->each(function($item) use ($users){
            $items = Item::all();

            if($items->count() == 0)
                $item->item_id = null;
            else
                if(rand(1,5) > 4)
                    $item->item_id = null;
                else
                    $item->item_id = $items->random()->id;
            $item->save();
        });
    }
}
